---
- name: "perform the validation for {{ variable_to_check.name }}"
  block:
    - name: create a temporaryfile
      ansible.builtin.tempfile:
        state: file
        suffix: temp
      register: tmp_varfile
      delegate_to: '127.0.0.1'

    - name: copy value of variable into the temporary file
      ansible.builtin.template:
        dest: "{{ tmp_varfile.path }}"
        src: vars_validation.j2
        mode: 0600
      delegate_to: '127.0.0.1'

    - name: load value from temporary file
      ansible.builtin.include_vars:
        file: "{{ tmp_varfile.path }}"
        name: infra_vars_validation

  always:
    - name: destroy the local varfile
      ansible.builtin.file:
        path: "{{ tmp_varfile.path }}"
        state: absent
      delegate_to: '127.0.0.1'

    - name: check mandatory variables are well set
      orange.infra.var_validator:
        variablename: "{{ variable_to_check.name }}"
        description: "{{ variable_to_check.description }}"
        schema: "{{ variable_to_check.schema }}"
        variablecontent:
          "{{ infra_vars_validation[variable_to_check.name] }}"
